Main Page Class List Class Members

# Nv::Blast::AuthoringResult Struct Reference

`#include <NvBlastExtAuthoringTypes.h>`

List of all members.

## Public Attributes
NvBlastAsset * | asset
uint32_t * | assetToFractureChunkIdMap
uint32_t | bondCount
NvBlastBondDesc * | bondDescs
uint32_t | chunkCount
NvBlastChunkDesc * | chunkDescs
CollisionHull ** | collisionHull
uint32_t * | collisionHullOffset
Triangle * | geometry
uint32_t * | geometryOffset
uint32_t | materialCount
const char ** | materialNames

## Detailed Description

Authoring results. Which contains NvBlastAsset, render and collision meshes. If it was created by NvBlast it should be released with NvBlastExtAuthoringReleaseAuthoringResult For releasing just collsion geometry call NvBlastExtAuthoringReleaseAuthoringResultCollision

## Member Data Documentation

NvBlastAsset* Nv::Blast::AuthoringResult::asset

uint32_t* Nv::Blast::AuthoringResult::assetToFractureChunkIdMap

assetToFractureChunkIdMap used for getting internal FractureChunkId with FractureTool::getChunkId. FractureChunkId = FractureTool.getChunkId(aResult.assetToFractureChunkIdMap(AssetChunkId);

uint32_t Nv::Blast::AuthoringResult::bondCount

NvBlastBondDesc* Nv::Blast::AuthoringResult::bondDescs

uint32_t Nv::Blast::AuthoringResult::chunkCount

NvBlastChunkDesc* Nv::Blast::AuthoringResult::chunkDescs

CollisionHull** Nv::Blast::AuthoringResult::collisionHull

uint32_t* Nv::Blast::AuthoringResult::collisionHullOffset

Collision hull offsets. Contains chunkCount + 1 element. First collision hull for i-th chunk: aResult.collisionHull[aResult.collisionHullOffset[i]] aResult.collisionHullOffset[chunkCount+1] is total number of collision hulls in collisionHull

Triangle* Nv::Blast::AuthoringResult::geometry

uint32_t* Nv::Blast::AuthoringResult::geometryOffset

Offsets for render mesh geometry. Contains chunkCount + 1 element. First triangle for i-th chunk: aResult.geometry[aResult.geometryOffset[i]] aResult.geometryOffset[chunkCount+1] is total number of triangles in geometry

uint32_t Nv::Blast::AuthoringResult::materialCount

Size of array of material names.

const char** Nv::Blast::AuthoringResult::materialNames

Array of material names.

The documentation for this struct was generated from the following file:

- sdk/extensions/authoringCommon/include/NvBlastExtAuthoringTypes.h